(program  8, DECSUPPLY, 1,  0, 7, 0,  , DOMAINVAR,  , 0 ;  : (program (if {(SSH$0) } THEN (program (make IT {solve1(SUPPLY(X), 100, vector[-200,200]) } ) 
 (make ROOT {IT(1) } ) 
 (domaingraph (eval {ROOT+ DOMAINVAR}) (eval {100- DOMAINVAR}))

 ) ELSE (program (domaingraph (eval {DOMAINVAR}) (eval {100- DOMAINVAR}))

 )) 
 (program  (program (fillcolor {8}) (pencolor {8}))  (penwidth 2) (graph SUPPLY ))

 (make SSH {SSH- 5 } ) 
 (if {(SSH$0) } THEN (program (make IT {solve1(SUPPLY(X), 100, vector[-200, 200]) } ) 
 (make XINT_SUPPLY {IT(1) } ) 
 (domaingraph (eval {XINT_SUPPLY+ DOMAINVAR}) (eval {100- DOMAINVAR}))

 ) ELSE (program (domaingraph (eval {DOMAINVAR}) (eval {100- DOMAINVAR}))

 )) 
 (program  (program (fillcolor {SUPCOL}) (pencolor {SUPCOL}))  (penwidth 2) (graph SUPPLY ))

 (pencolor 0)

 (select "price")

 (cleartext)

 (print "This decreases supply, or shifts the supply curve back.")

 ); COMMAND DECSUPPLY (CONSTANT DOMAINVAR)
{
IF (SSH>=0) THEN
{
LET IT ROOTS(SUPPLY(X), 100, [-200,200]);
LET ROOT IT(1);
GRAPHDOMAIN ROOT+DOMAINVAR 100-DOMAINVAR;
ý
ELSE
û
GRAPHDOMAIN DOMAINVAR 100-DOMAINVAR;
}
GRAPH SUPPLY COLOR GREY WIDTH 2;
LET SSH SSH-5;
IF (SSH>=0) THEN
 {LET IT ROOTS(SUPPLY(X), 100, [-200, 200]);
  LET XINT_SUPPLY IT(1);
  GRAPHDOMAIN XINT_SUPPLY+DOMAINVAR 100-DOMAINVAR;ý
ELSE
 ûGRAPHDOMAIN DOMAINVAR 100-DOMAINVAR;}
GRAPH SUPPLY COLOR SUPCOL WIDTH 2;
PENCOLOR BLACK;
SELECT "price";
CLEARTEXT;
PRINT "This decreases supply, or shifts the supply curve back.";
} |
  8, INCSUPPLY, 1,  0, 7, 0,  , DOMAINVAR,  , 0 ;  : (program (if {(SSH$0) } THEN (program (make IT {solve1(SUPPLY(X), 100, vector[-200,200]) } ) 
 (make ROOT {IT(1) } ) 
 (domaingraph (eval {ROOT+ DOMAINVAR}) (eval {100- DOMAINVAR}))

 ) ELSE (program (domaingraph (eval {DOMAINVAR}) (eval {100- DOMAINVAR}))

 )) 
 (program  (program (fillcolor {8}) (pencolor {8}))  (penwidth 2) (graph SUPPLY ))

 (make SSH {SSH+ 5 } ) 
 (if {(SSH$0) } THEN (program (make IT {solve1(SUPPLY(X), 100, vector[-200, 200]) } ) 
 (make XINT_SUPPLY {IT(1) } ) 
 (domaingraph (eval {XINT_SUPPLY+ DOMAINVAR}) (eval {100- DOMAINVAR}))

 ) ELSE (program (domaingraph (eval {DOMAINVAR}) (eval {100- DOMAINVAR}))

 )) 
 (program  (program (fillcolor {SUPCOL}) (pencolor {SUPCOL}))  (penwidth 2) (graph SUPPLY ))

 (pencolor 0)

 (select "price")

 (cleartext)

 (print "This increases supply, or shifts the supply curve out.")

 ); COMMAND INCSUPPLY (CONSTANT DOMAINVAR)
{
IF (SSH>=0) THEN
{
LET IT ROOTS(SUPPLY(X), 100, [-200,200]);
LET ROOT IT(1);
GRAPHDOMAIN ROOT+DOMAINVAR 100-DOMAINVAR;
ý
ELSE
û
GRAPHDOMAIN DOMAINVAR 100-DOMAINVAR;
}
GRAPH SUPPLY COLOR GREY WIDTH 2;
LET SSH SSH+5;
IF (SSH>=0) THEN
 {LET IT ROOTS(SUPPLY(X), 100, [-200, 200]);
  LET XINT_SUPPLY IT(1);
  GRAPHDOMAIN XINT_SUPPLY+DOMAINVAR 100-DOMAINVAR;ý
ELSE
 ûGRAPHDOMAIN DOMAINVAR 100-DOMAINVAR;}
GRAPH SUPPLY COLOR SUPCOL WIDTH 2;
PENCOLOR BLACK;
SELECT "price";
CLEARTEXT;
PRINT "This increases supply, or shifts the supply curve out.";
} |
  8, DRAWSUPPLY, 1,  0, 7, 0,  , DOMAINVAR,  , 0 ;  : (program (if {(SSH$0) } THEN (program (make IT {solve1(SUPPLY(X), 100, vector[-200,200]) } ) 
 (make ROOT {IT(1) } ) 
 (domaingraph (eval {ROOT+ DOMAINVAR}) (eval {100- DOMAINVAR}))

 ) ELSE (program (domaingraph (eval {DOMAINVAR}) (eval {100- DOMAINVAR}))

 )) 
 (program  (program (fillcolor {SUPCOL}) (pencolor {SUPCOL}))  (penwidth 2) (graph SUPPLY ))

 ); COMMAND DRAWSUPPLY (CONSTANT DOMAINVAR)
{
IF (SSH>=0) THEN
{
LET IT ROOTS(SUPPLY(X), 100, [-200,200]);
LET ROOT IT(1);
GRAPHDOMAIN ROOT+DOMAINVAR 100-DOMAINVAR;
ý
ELSE
û
GRAPHDOMAIN DOMAINVAR 100-DOMAINVAR;
}
GRAPH SUPPLY COLOR SUPCOL WIDTH 2;
} |
  8, DRAWDEMAND, 1,  0, 7, 0,  , DOMAINVAR,  , 0 ;  : (program (if {(DSH`25) } THEN (program (make IT {solve1(DEMAND(X), 100, vector[-200,200]) } ) 
 (make ROOT {IT(1) } ) 
 (domaingraph (eval {DOMAINVAR}) (eval {ROOT- DOMAINVAR}))

 ) ELSE (program (domaingraph (eval {DOMAINVAR}) (eval {100- DOMAINVAR}))

 )) 
 (program  (program (fillcolor {DEMCOL}) (pencolor {DEMCOL}))  (penwidth 2) (graph DEMAND ))

 ); COMMAND DRAWDEMAND (CONSTANT DOMAINVAR)
{
IF (DSH<=25) THEN 
{
LET IT ROOTS(DEMAND(X), 100, [-200,200]);
LET ROOT IT(1);
GRAPHDOMAIN DOMAINVAR ROOT-DOMAINVAR;
ý
ELSE
ûGRAPHDOMAIN DOMAINVAR 100-DOMAINVAR;}
GRAPH DEMAND COLOR DEMCOL WIDTH 2;
} |
 )